Subject: Re: [PATCH] Add support for netconsole driver used on bridge device with VIF attached

From: [email-masked]
Date: Mon, 21 Jan 2013 20:00:35 +0200

On 01/21/2013 07:28 PM, Ian Campbell wrote:
> On Mon, 2013-01-21 at 17:17 +0000, Yuval Shaia wrote:
>
>> When starting a VM which has virtual interface attached to the same
>> bridge (i.e vif = [type=netfront,bridge=xenbr0'] in vm.cfg) which is
>> used for netconsole the
>> following message appears (after about 60 seconds) and VM creation
>> operation fails.
>>        Error: Device 0 (vif) could not be connected. Hotplug scripts not
>> working.
> I'm not sure how this can relate netconsole since this happens before
> the guest even runs, doesn't it?
Running the same scenario without netconsole runs smoothly.
>
>> As i see it, netconsole driver requires ndo_poll_controller from the
>> device's controlling driver (function __netpoll_setup in
>> net/core/netpoll.c), a thing that is not supported currently in
>> xen_netback driver which is the driver that runs on dom0 and serve
>> VM's virtual interface.
> Which domain is using netconsole? Is it dom0 or domU? What parameters do
> you give it?
dom0.
parameters: netconsole=1111@src-ip/xenbr0,2002@dst-ip/dst-mac
>
> I assume it is the domU but if that's the case I don't see why a netback
> rather than netfront patch would be required.
>
> Or is dom0 doing netconsole where the log receiver is a domU?
Log received at dom0 as output of xm cr vm.cfg command.
netconsole is used on dom0 to monitor its log
> Ian.